$(document).ready(function() {

// Search Slider
$('a[href="#menu"]').click(function() {
	$('a[href="#menu"]').toggleClass('current');
	$('.search-slider').slideToggle(300);
});

// Make Offsite Links Go Offsite
$(document.links).filter(function() {
    return this.hostname != window.location.hostname;
}).attr('target', '_blank');

// Create Social Media pop-ups
var SocialMediaPopupConfig = {
    Link: "a.socialmedia",
    Width: 500,
    Height: 500
};
// Add handler links
var slink = document.querySelectorAll(SocialMediaPopupConfig.Link);
for (var a = 0; a < slink.length; a++) {
    slink[a].onclick = PopupHandler;
}
// Create popup
function PopupHandler(e) {
    e = (e ? e : window.event);
    var t = (e.target ? e.target : e.srcElement);
    // popup position
    var
        px = Math.floor(((screen.availWidth || 1024) - SocialMediaPopupConfig.Width) / 2),
        py = Math.floor(((screen.availHeight || 700) - SocialMediaPopupConfig.Height) / 2);
    // open popup
    var popup = window.open(t.href, "social", 
        "width="+SocialMediaPopupConfig.Width+",height="+SocialMediaPopupConfig.Height+
        ",left="+px+",top="+py+
        ",location=0,menubar=0,toolbar=0,status=0,scrollbars=1,resizable=1");
    if (popup) {
        popup.focus();
        if (e.preventDefault) e.preventDefault();
        e.returnValue = false;
    }
    return !!popup;
}

// Force OL items to be inside <p> tags
$('section.content ol').not('.items').children('li').wrapInner('<p>');

// Create Image Wrappers to Style Images properly
$('section.content img').each(function(){
	var act = $(this);
	var src = act.attr('src');
	var caption = act.attr('alt');
	var figureClass = act.attr('title');
	if (!figureClass) { figureClass = ' '; }
	act.wrap('<figure class="image-wrapper ' + figureClass + '" />');
	if (caption) {
		act.after('<figcaption>' + caption + '</figcaption>');
		act.attr('alt', 'Image');
	} else {
		act.removeAttr('alt');
	}
	if (figureClass) { act.removeAttr('title'); }
	if (!src.substring(0,4).match('http') && !src.substring(0,5).match('https') && !src.substring(0,2).match('//')) {
		act.attr('src', src);
	}
});

});
