<?php theme_include('header'); ?>
<section class="grid 1of1 content">

<?php if(has_posts()): ?>
	<ul class="items">
	<?php $i = 0; while(posts()): ?>
		<?php if (0 < $i) { echo "<hr/>\n"; } ?>
		<li>
			<h1><a href="<?php echo article_url(); ?>" title="<?php echo article_title(); ?>"><?php echo article_title(); ?></a></h1>
			<?php if (article_description()): ?>
				<aside class="tldr">
					<p><?php echo article_description(); ?></p>
				</aside>
			<?php endif ?>
			<?php $article_html = article_html(); ?>
			<p class="content"><?php echo strip_tags(substr($article_html, 0, 400)); ?>&hellip;</p>
			<small>
				Posted <time datetime="<?php echo date(DATE_W3C, article_time()); ?>"><?php echo dw_relative_time(article_time()); ?></time> by <?php echo article_author('real_name'); ?>.
				Estimated reading time: <?php echo dw_estimated_reading_time(str_word_count(strip_tags($article_html))); ?>
			</small>
			<a href="<?php echo article_url(); ?>" title="<?php echo article_title(); ?>" class="buttonlink">Read More</a>
		</li>
	<?php $i++; endwhile; ?>
	</ul>

	<?php if(has_pagination()) {
		$prevlink = posts_prev("L");
		$nextlink = posts_next("R");
		if (strlen($prevlink) > 0) {
			$newprevlink = str_replace("<a ", "<a class=\"leftright\" title=\"Older Articles\" ", $prevlink);
			echo $newprevlink;
		}
		if (strlen($nextlink) > 0) {
			$newnextlink = str_replace("<a ", "<a class=\"leftright\" title=\"Newer Articles\" ", $nextlink);
			echo $newnextlink;
		}
	} ?>

<?php else: ?>
	<div class="wrap">
	<h1>No posts yet!</h1>
	<p>Looks like you have some writing to do!</p>
	</div>
<?php endif; ?>

</section>
<?php theme_include('footer'); ?>
